*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.mainPage{
    position: absolute;
    right: 0;
    width: 100%;
    min-height: 100vh;
    display: flex;
    background-color: #333;
    color: #fff;
}

.mainPage.active{
    position: absolute;
    right: 0;
    width: 100%;
    min-height: 100vh;
    display: flex;
    background-color: #333;
    color: #fff;
}

video{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: .75;
    z-index: 0;
}

header{
    position: absolute;
    top: 0;
    left: 0;
    padding: 20px 100px;
    width: 100%;
    z-index: 10;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.h2{
    color: #fff;
    font-size: 36px;
}

.menuToggle{
    position: relative;
    width: 60px;
    height: 60px;
    background-image: url(menu_icon.png);
    background-repeat: no-repeat;
    background-size: 30px;
    background-position: center;
    filter: invert(1);
}

.menuToggle.active{
    position: relative;
    width: 60px;
    height: 60px;
    background-image: url(close.png);
    background-repeat: no-repeat;
    background-size: 30px;
    background-position: center;
    filter: invert(1);
}

.body{
    position: absolute;
    top: 65px;
    left: 100px;
    font-size: 20px;
}

.menu{
    position: absolute;
    width: 0px;
    height: 100%;
    transition: 0.5s;
}

.menu.active{
    position: absolute;
    width: 20%;
    height: 100%;
    background: #fff;
    align-items: center;
    justify-items: center;
}

menu ul{
    position: relative;
}

menu li{
    list-style: none;
}

.menu li a{
    position: relative;
    font-size: 16px;
    color: #333;
    padding-top: 5px;
    text-decoration: none;
}

.menu li a:hover{
    background-color:#333;
    color: #00f;
}